type __VLS_Props = {
    dark?: boolean;
    arrow?: boolean;
    modelValue?: boolean;
};
declare function show(): void;
declare function hide(): void;
declare var __VLS_12: {
    hide: () => void | undefined;
    show: () => void | undefined;
    dark: boolean;
    nested: boolean;
};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_12) => any;
};
declare const __VLS_component: import("vue").DefineComponent<__VLS_Props, {
    hide: typeof hide;
    show: typeof show;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:modelValue": (data: boolean) => any;
    hide: () => any;
    show: () => any;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onUpdate:modelValue"?: ((data: boolean) => any) | undefined;
    onHide?: (() => any) | undefined;
    onShow?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
